# gpload客户端安装

首先需要找到安装包，部署的软件在192.168.50.1和192.168.50.2上都有备份

gpload客户端所在目录 `/data/backup/software/greenplum`

```sh
# 首先将客户端安装包scp复制到本地
scp do@192.168.50.1:/data/backup/software/greenplum/greenplum-db-clients-6.19.2-rhel7-x86_64.rpm ./
# 安装客户端
sudo yum localinstall greenplum-db-clients-6.19.2-rhel7-x86_64.rpm
# 安装完毕验证 安装目录在 /usr/local/greenplum-db-clients
# 加载环境变量 目录下有两个环境变量sh文件 greenplum_loaders_path 是单独的gpload greenplum_clients_path.sh 对应全部客户端
source /usr/local/greenplum-db-clients/greenplum_loaders_path.sh
gpload --version
# 6.19版本好像不需要自己启动gpfdist服务了
# 考虑到我们通常会使用sh脚本expect方式输入密码，这里把expect也安装一下
sudo yum install expect
```
