# 项目文档要求

1. 建议文档与代码放在同一个git仓库，如果有特殊情况也可以单独放一个仓库。

2. 与代码放在同一个git仓库时，项目文档统一放在根目录下doc文件夹内

3. 文档包括需求文档/开发测试文档/部署文档

## 需求文档

## 开发测试文档

1. 全部接口需要有接口测试文档，建议包含正常和异常入参的测试样本。

2. 一些较为特殊的算法等情况，尤其是多人共同开发的情况，最好有单独的说明文档，配合代码注释。

## 部署文档

1. 部署文档需要包含测试环境部署和开发环境部署，且两者均应该包含部署信息和部署测试要求。

2. 有数据库相关的，数据库相关的调整文件（表结构）需要放在部署文档。

3. 版本变化较大时需要专门的部署说明，正式环境必须包含倒回方案。
